Gecode::Kernel::SharedSpaceData Class Reference

Class to store data shared among several spaces. More...

`#include <shared-space-data.hpp>`

## Classes

class | Data
| The shared data. More...

## Public Member Functions

| SharedSpaceData (void)
| Initialize.
| SharedSpaceData (const SharedSpaceData &ssd)
| Initialize from ssd.
SharedSpaceData & | operator= (const SharedSpaceData &r)
| Assignment operator.
| ~SharedSpaceData (void)
| Delete.
Data & | data (void) const
| Provide access.
Public Member Functions inherited from Gecode::SharedHandle
| SharedHandle (void)
| Create shared handle with no object pointing to.
| SharedHandle (SharedHandle::Object *so)
| Create shared handle that points to shared object so.
| SharedHandle (const SharedHandle &sh)
| Copy constructor maintaining reference count.
SharedHandle & | operator= (const SharedHandle &sh)
| Assignment operator maintaining reference count.
| ~SharedHandle (void)
| Destructor that maintains reference count.
| operator bool (void) const
| Whether handle points to an object.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::SharedHandle
SharedHandle::Object * | object (void) const
| Access to the shared object.
void | object (SharedHandle::Object *n)
| Modify shared object.

## Detailed Description

Class to store data shared among several spaces.

Definition at line 37 of file shared-space-data.hpp.

## Constructor & Destructor Documentation

## SharedSpaceData() [1/2]

Gecode::Kernel::SharedSpaceData::SharedSpaceData | ( | void |  | ) |

inline

Initialize.

Definition at line 74 of file shared-space-data.hpp.

## SharedSpaceData() [2/2]

Gecode::Kernel::SharedSpaceData::SharedSpaceData | ( | const SharedSpaceData & | ssd | ) |

inline

Initialize from ssd.

Definition at line 78 of file shared-space-data.hpp.

## ~SharedSpaceData()

Gecode::Kernel::SharedSpaceData::~SharedSpaceData | ( | void |  | ) |

inline

Delete.

Definition at line 88 of file shared-space-data.hpp.

## Member Function Documentation

## operator=()

SharedSpaceData & Gecode::Kernel::SharedSpaceData::operator= | ( | const SharedSpaceData & | r | ) |

inline

Assignment operator.

Definition at line 82 of file shared-space-data.hpp.

## data()

SharedSpaceData::Data & Gecode::Kernel::SharedSpaceData::data | ( | void |  | ) | const

inline

Provide access.

Definition at line 91 of file shared-space-data.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/shared-space-data.hpp